View Issue Details

IDProjectCategoryView StatusLast Update
0025522mantisbtplug-inspublic2019-03-16 20:20
Reporterdregad Assigned Todregad  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version2.20.0Fixed in Version2.20.0 
Summary0025522: MantisGraph: limit number of slices in By Category pie chart
Description

When there is a large number of Categories defined in the system, the By Category pie chart is cramped and difficult to read.

We should limit the number of slices, and regroup all the remaining categories under a others slice.

Additional Information

Follows discussion in https://github.com/mantisbt/mantisbt/pull/1467#issuecomment-467175008

TagsNo tags attached.

Relationships

related to 0025523 closeddregad MantisGraph: improve handling of colors in Pie charts 
related to 0025524 closeddregad MantisGraph: improve display of By Category Bar chart 

Activities

Related Changesets

MantisBT: master c1064546

2019-02-26 10:42:05

dregad

Details Diff
Graph: set max slices in Categories pie chart

When there is a large number of Categories defined in the system, the
By Category pie chart is cramped and difficult to read.

This sets a (hardcoded for now) limit on the number of slices, and
regroups all the remaining categories under an "others" slice.

Fixes 0025522
Affected Issues
0025522
mod - plugins/MantisGraph/lang/strings_english.txt Diff File
mod - plugins/MantisGraph/pages/category_graph.php Diff File

Issue History

Date Modified Username Field Change
2019-02-26 10:31 dregad New Issue
2019-02-26 10:31 dregad Status new => assigned
2019-02-26 10:31 dregad Assigned To => dregad
2019-02-26 11:50 dregad Summary MantisGraphs: limit number of slices in By Category pie chart => MantisGraph: limit number of slices in By Category pie chart
2019-02-26 11:50 dregad Reproducibility have not tried => always
2019-02-27 06:32 dregad Relationship added related to 0025523
2019-02-27 06:32 dregad Relationship added related to 0025524
2019-02-27 07:28 dregad Note Added: 0061590
2019-03-02 17:56 dregad Changeset attached => MantisBT master c1064546
2019-03-02 17:56 dregad Status assigned => resolved
2019-03-02 17:56 dregad Resolution open => fixed
2019-03-02 17:56 dregad Fixed in Version => 2.20.0
2019-03-16 20:20 vboctor Status resolved => closed